package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 操作类型
 * @Author ZH
 * @Date 2023-03-29
 */
@Getter
public enum OrderProcessOperateTypeEnum {
    /**
     * 下单
     */
    PLACE_ORDER("PLACE_ORDER"),

    /**
     * 派单
     */
    DISPATCH_ORDER("DISPATCH_ORDER"),

    /**
     * 接单
     */
    RECEIVE_ORDER("RECEIVE_ORDER"),

    /**
     * 手动退单
     */
    ACTIVE_BACK_ORDER("ACTIVE_BACK_ORDER"),

    /**
     * 自动退单
     */
    SYSTEM_BACK_ORDER("SYSTEM_BACK_ORDER"),

    /**
     * 订单完成
     */
    FINISH_ORDER("FINISH_ORDER"),
    ;

    final private String info;

    OrderProcessOperateTypeEnum(String info) {
        this.info = info;
    }
}
